﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class PlayerController : MonoBehaviour {

    public Rigidbody rb;
    public Text score;
    public GameObject prefab;
    private float force;
    private int count;
    private float targetTime;

    // Use this for initialization
    void Start () {
        force = 0.2f;
        count = 15000;
        targetTime = 10.0f;
    }
	
	// Update is called once per frame
	void Update () {
        if (Input.GetKey(KeyCode.DownArrow))
        {
            rb.AddForce(new Vector3(0.0f, 0.0f, -force));
        }
        else if (Input.GetKey(KeyCode.UpArrow))
        {
            rb.AddForce(new Vector3(0.0f, 0.0f, force));
        }
        else if (Input.GetKey(KeyCode.LeftArrow))
        {
            rb.AddForce(new Vector3(-force, 0.0f, 0.0f));
        }
        else if (Input.GetKey(KeyCode.RightArrow))
        {
            rb.AddForce(new Vector3(force, 0.0f, 0.0f));
        }
        count -= (int) (Time.deltaTime*1000.0f);
        score.text = count.ToString();
        if (count < 0)
        {
            score.text = "Game Over!";
#if UNITY_EDITOR
            UnityEditor.EditorApplication.isPlaying = false;
#else
            Application.Quit();
#endif
        }
        targetTime -= Time.deltaTime;
        if (targetTime < 0.0f)
        {
            targetTime += 10.0f;
            print("creating prefab");
            Vector3 position;
            do {
                position = new Vector3(Random.Range(-4.5f, 4.5f), 1.0f, Random.Range(-4.5f, 4.5f));
            } while (Vector3.Distance(position,transform.position) < 2.0f);
            Instantiate(prefab, position, Quaternion.identity);
        }
    }

    void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.CompareTag("Obstacle"))
        {
            other.gameObject.SetActive(false);
            force *= 2;
            count+=10000;
            score.text = count.ToString();
            print("obstacle removed");
        }
    }

}
